Package: org.codehaus.groovy.grails.cli.interactive.completors

## [Groovy] Class ClassNameCompletor

- org.codehaus.groovy.grails.cli.interactive.completors.ClassNameCompletor

- All Implemented Interfaces and Traits:
    BuildSettingsAware

      @groovy.transform.CompileStatic
      abstract class ClassNameCompletor
      extends StringsCompleter

  A completor that completes

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `BuildSettings` | `buildSettings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassNameCompletor ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
    `java.lang.String` | `getCommandName()` @return The command name doing the completion
    `boolean` | `shouldInclude(Resource res)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StringsCompleter` | `complete, getStrings, setStrings`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### BuildSettings buildSettings

  - ### Constructor Detail

    - #### ClassNameCompletor()

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List clist)

    - #### java.lang.String getCommandName()

      Returns:
        The command name doing the completion

    - #### boolean shouldInclude(Resource res)